LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
MacroMigrationWizard Service Reference

`import"MacroMigrationWizard.idl";`

Inheritance diagram for MacroMigrationWizard:

## Public Member Functions
| createWithDocument ([in] com::sun::star::sdb::XOfficeDatabaseDocument Document)
Public Member Functions inherited from XExecutableDialog
void | setTitle ([in] string aTitle)
| Sets the title of the dialog. More...
short | execute ()
| Executes (shows) the dialog. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Since
  LibreOffice 4.1

## Member Function Documentation

createWithDocument | ( | [in] com::sun::star::sdb::XOfficeDatabaseDocument | Document | ) |

The documentation for this service was generated from the following file:

- com/sun/star/sdb/application/MacroMigrationWizard.idl